Bug 447111 - Firefox Crashes When Refreshing Pages using the Flash Debugging Player Plugin
Firefox Crashes When Refreshing Pages using the Flash Debugging Player Plugin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libflashsupport (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 19:23 EDT by Chris Spencer
Modified: 2009-07-14 14:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example Actionscript code and compiled SWF to help in reproducing the error. (1.76 KB, application/zip)
2008-05-18 11:32 EDT, Chris Spencer
no flags Details
thread apply all backtrace (11.64 KB, text/plain)
2008-06-25 07:49 EDT, Chris Spencer
no flags Details
backtrace (38.59 KB, text/plain)
2008-07-03 03:43 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Chris Spencer 2008-05-17 19:23:07 EDT
Description of problem:
Firefox will crash when refreshing page containing the Flash Debugging Player,
if the player is currently displaying an error popup.

How reproducible:
Everytime.

Steps to Reproduce:
1. Install Flash Debugging Player 9 (from Adobe).
2. Load a page containg Flash content that throws an exception (I can provide an
example if necessary). This should create a popup entitled "Adobe Flash Player
9", with content reading "An ActionScript error has occurred..."
3. Without closing the popup, re-focus the page and hit F5, causing the page to
refresh. Once the page has refreshed, hit "Dismiss All" or "Continue" on the
popup to close it.
4. Firefox will immediately crash.

Actual results:
Firefox crashes.

Expected results:
Firefox should not crash.

Additional info:
I've seen this issue in general when refreshing a page using a plugin, such as
Mplayer or Quicktime. This one involving the Flash Debugging Player is the
easiest one I can reproduce. 

This bug also exists in Epiphany.
Comment 1 Chris Spencer 2008-05-18 11:32:43 EDT
Created attachment 305853 [details]
Example Actionscript code and compiled SWF to help in reproducing the error.

The attached ZIP contains a minimal Actionscript and the compiled SWF to
reproduce the error. I compiled it with mxmlc contained in the Flex 3.0 SDK,
but any version should work if you wish to recompile.
Comment 2 Matěj Cepl 2008-05-19 18:19:03 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2008-06-15 15:49:45 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Chris Spencer 2008-06-25 07:38:07 EDT
Sorry, I would have posted this sooner, but it took a while for me to put aside
some time to download the 300MB of debugging-related packages to run the
instructions.

Unfortunately, when run inside the debugger, Firefox completely locks up
whenever I try to load a page containing Flash, so I can't get to the point
where Firefox explicitly crashes. I've let Firefox sit 15 minutes, and it's not
loading, so I can only assume it's locked up indefinitely.

Just out of curiosity, were my reproduction steps inadequate? If so, please tell
me what's missing and I could elaborate. It should be fairly easy to reproduce
on your own setup. You shouldn't have to wait for me, especially since I'm no
expert with gdb.
Comment 5 Chris Spencer 2008-06-25 07:49:16 EDT
Created attachment 310253 [details]
thread apply all backtrace

I had expected a segfault to completely close Firefox, but realized Firefox
freezing was actually the crash and the side-effect of running inside gdb was
keeping the window open.

However, when run inside the debugger, Firefox segfaults when loading *any*
Flash content, not the original scenerio I reported, so it may be a different
bug. In any case, I've attached the gdb output. Please let me know if there's
anything else you need.
Comment 6 Dan O'Brien 2008-06-30 09:15:47 EDT
install nspluginwrapper and ff will stop crashing.  flash may go grey from time
to time, just reload the page.
Comment 7 Matěj Cepl 2008-06-30 16:18:46 EDT
(In reply to comment #6)
> install nspluginwrapper and ff will stop crashing.  flash may go grey from time
> to time, just reload the page.

Not sure; Chris, what's *Debugging* player about? What's the difference from the
normal flash provided via http://linuxdownload.adobe.com/linux/i386/ repo?

Of course, try to reproduce with installed nspluginwrapper (both x86_64 and i386
versions if this happens to be x86_64 machine). Does it help?
Comment 8 Chris Spencer 2008-06-30 21:39:41 EDT
Dan:

$ yum install nspluginwrapper
Setting up Install Process
Parsing package install arguments
Package nspluginwrapper - 0.9.91.5-18.fc8.i386 is already installed.
Nothing to do

Apparently, nspluginwrapper was already installed when I encountered the bug and
performed the debugging actions. Do I need to do any configuration aside from
installation?

Matej:

The debugging Flash player, as its name suggests, is a development version of
the Flash player designed to provide extra debugging information when building
Flash applications. For someone using it in Linux, all this really means is
calls to trace() write output to a text file, whereas those calls do nothing in
the normal production player. The debugging player comes as part of the Flex
Eclipse plugin.
Comment 9 Matěj Cepl 2008-07-01 08:01:16 EDT
Please, do upgrade until you have at least (some package are possibly in
updates-testing):

nspluginwrapper-0.9.91.5-28.fc9.i386
xulrunner-1.9-1.fc9.i386
firefox-3.0-1.fc9.i386

Matěj
Comment 10 Chris Spencer 2008-07-01 17:58:15 EDT
I'm sorry, but I use my computer for a lot of work, so I'm unwilling to upgrade
to the unstable F9 testing repo. If this isn't going to be fixed in F8, then
please close the report as WONTFIX.
Comment 11 Matěj Cepl 2008-07-01 19:32:42 EDT
(In reply to comment #10)
> I'm sorry, but I use my computer for a lot of work, so I'm unwilling to upgrade
> to the unstable F9 testing repo. If this isn't going to be fixed in F8, then
> please close the report as WONTFIX.

This bug was filed against Fedora 9, so I expected that F9 updates-testing would
help. Is it wrong, should this bug be moved back to Fedora 8? (whole technology
behind firefox changed rather drastically between Fedora 8 and Fedora 9)

Could I get please output of the command

rpm -qa \*xulrunner\* \*firefox\* \*plugin\* \*flash\* \*mozilla\*

Thank you very much and sorry for the confusion.
Comment 12 Chris Spencer 2008-07-01 20:03:06 EDT
Matej:

Yes, sorry, I meant to file this under F8.

$ rpm -qa \*xulrunner\* \*firefox\* \*plugin\* \*flash\* \*mozilla\*
gedit-plugins-2.18.0-2.fc7
firefox-debuginfo-2.0.0.14-1.fc8
audacious-plugins-1.4.4-1.fc8
audacious-plugins-nonfree-mp3-1.4.4-1.lvn8
totem-mozplugin-2.20.1-2.fc8
maven-shared-plugin-testing-harness-1.0-4jpp.3.fc8
java-1.7.0-icedtea-plugin-1.7.0.0-0.19.b21.snapshot.fc8
gstreamer-plugins-pulse-0.9.5-0.4.svn20070924.fc8
firefox-2.0.0.14-1.fc8
setroubleshoot-plugins-2.0.4-4.fc8
gutenprint-plugin-5.0.2-1.fc8
gstreamer-plugins-good-0.10.6-7.fc8
alsa-plugins-pulseaudio-1.0.15-3.fc8.1
libflashsupport-000-0.1.svn20070904
gstreamer-plugins-base-0.10.15-3.fc8
nspluginwrapper-0.9.91.5-18.fc8
Comment 13 Matěj Cepl 2008-07-03 03:43:16 EDT
Created attachment 310894 [details]
backtrace

OK, I have tried to triage this and I have some thoughts about this bug:

1) Fortunately, one doesn't have to install Flex Eclipse plug-in just to use
debugging Flash player -- it is also available from
http://www.adobe.com/support/flashplayer/downloads.html
2) When installed this plugin to the ~/.mozilla using its installation script,
http://youtube.com/watch?v=WDULzrZSlhk played whole clip pretty well, but when
clicking on one of the Related Videos, Firefox crashed immediately with the
attached backtrace
3) It seems to me that the crash happens in libflashsupport (which may not be
prepared to dealt with differences -- if there are any -- between debugging and
non-debugging Flash players?), so I will reassign this bug to its component.
Comment 14 Bug Zapper 2009-06-09 20:56:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 14:25:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.